Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.fields
Class CobolDatatypeFactory

    java.lang.Object
      com.ibm.jzos.fields.DatatypeFactory
          com.ibm.jzos.fields.CobolDatatypeFactory

    public class CobolDatatypeFactory

extends DatatypeFactory

Concrete implementation of `DatatypeFactory` with COBOL `Field` related factory methods.

Field Summary

Fields inherited from class com.ibm.jzos.fields.DatatypeFactory
`maximumOffset, offset, stringEncoding, stringTrimDefault`

Constructor Summary
`CobolDatatypeFactory()`

Method Summary
`BinaryAsBigDecimalField` | `getBinaryAsBigDecimalField(int precision, int scale, boolean signed)` Construct and return a BinaryAsBigDecimalField, advancing the current offset by its byte length.
`BinaryAsBigIntegerField` | `getBinaryAsBigIntegerField(int precision, int scale, boolean signed)` Construct and return a BinaryAsBigIntegerField, advancing the current offset by its byte length.
`BinaryAsIntField` | `getBinaryAsIntField(int precision, boolean signed)` Construct and return a BinaryAsIntField, advancing the current offset by its byte length.
`BinaryAsLongField` | `getBinaryAsLongField(int precision, boolean signed)` Construct and return a BinaryAsLongField, advancing the current offset by its byte length.
`Field` | `getBinaryField(int precision, int scale, boolean signed, boolean comp5)` Construct and return a BinaryField, advancing the current offset by its byte length.
`Field` | `getExternalDecimalField(int precision, int scale, boolean signed, boolean signTailing, boolean signExternal, boolean blankWhenZero)` Construct and return a ExternalDecimalField, advancing the current offset by its byte length.
`ExternalFloatField` | `getExternalFloatField(int precision, int scale, boolean showMantissaPlusSign, boolean showExponentPlusSign, boolean impliedDecimalPoint)` Construct and return a FloatDisplayField, advancing the current offset by its byte length.
`IbmDoubleField` | `getIbmDoubleField()` Construct and return an IbmDoubleField (hex floating point COMP-2), advancing the current offset by its byte length.
`IbmFloatField` | `getIbmFloatField()` Construct and return an IbmFloatField (hex floating point COMP-1), advancing the current offset by its byte length.
`PackedDecimalAsBigDecimalField` | `getPackedDecimalAsBigDecimalField(int precision, int scale, boolean signed)` Construct and return a PackedDecimalAsBigDecimalField, advancing the current offset by its byte length.
`PackedDecimalAsBigIntegerField` | `getPackedDecimalAsBigIntegerField(int precision, int scale, boolean signed)` Construct and return a PackedDecimalAsBigIntegerField, advancing the current offset by its byte length.
`PackedDecimalAsIntField` | `getPackedDecimalAsIntField(int precision, boolean signed)` Construct and return a PackedDecimalAsIntField, advancing the current offset by its byte length.
`PackedDecimalAsLongField` | `getPackedDecimalAsLongField(int precision, boolean signed)` Construct and return a PackedDecimalAsLongField, advancing the current offset by its byte length.
`Field` | `getPackedDecimalField(int precision, int scale, boolean signed)` Construct and return a PackedDecimalField, advancing the current offset by its byte length.

Methods inherited from class com.ibm.jzos.fields.DatatypeFactory
`advanceOffset, getByteArrayField, getExternalDecimalAsBigDecimalField, getExternalDecimalAsBigDecimalField, getExternalDecimalAsBigIntegerField, getExternalDecimalAsBigIntegerField, getExternalDecimalAsIntField, getExternalDecimalAsIntField, getExternalDecimalAsLongField, getExternalDecimalAsLongField, getMaximumOffset, getOffset, getStringEncoding, getStringField, getStringField, getStringField, getStringField, getStringField, getStringTrimDefault, incrementOffset, popOffset, pushOffset, setOffset, setStringEncoding, setStringTrimDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolDatatypeFactory

    public CobolDatatypeFactory()

Method Detail

### getBinaryAsLongField

    public BinaryAsLongField getBinaryAsLongField(int precision,
                                                  boolean signed)

  Construct and return a BinaryAsLongField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `signed` - true if the value is signed
  Returns:
    BinaryAsLongField

### getBinaryAsIntField

    public BinaryAsIntField getBinaryAsIntField(int precision,
                                                boolean signed)

  Construct and return a BinaryAsIntField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `signed` - true if the value is signed
  Returns:
    BinaryAsIntField

### getBinaryAsBigDecimalField

    public BinaryAsBigDecimalField getBinaryAsBigDecimalField(int precision,
                                                              int scale,
                                                              boolean signed)

  Construct and return a BinaryAsBigDecimalField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `scale` - the number of implied decimal digits to the right of the decimal point
    `signed` - true if the value is signed
  Returns:
    BinaryAsLongField

### getBinaryAsBigIntegerField

    public BinaryAsBigIntegerField getBinaryAsBigIntegerField(int precision,
                                                              int scale,
                                                              boolean signed)

  Construct and return a BinaryAsBigIntegerField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `scale` - a negative integer specifying the power of the number
    `signed` - true if the value is signed
  Returns:
    BinaryAsBigIntegerField

### getBinaryField

    public Field getBinaryField(int precision,
                                int scale,
                                boolean signed,
                                boolean comp5)

  Construct and return a BinaryField, advancing the current offset by its byte length. The actual field returned is based on the precision and scale:

  Parameters:
    `precision` - the number of decimal digits of precision
    `scale` - the number of implied decimal digits to the right of the decimal point
    `comp5` - true if the entire bit range is to be allowed
  Returns:
    Field

### getExternalDecimalField

    public Field getExternalDecimalField(int precision,
                                         int scale,
                                         boolean signed,
                                         boolean signTailing,
                                         boolean signExternal,
                                         boolean blankWhenZero)

  Construct and return a ExternalDecimalField, advancing the current offset by its byte length. The actual field returned is based on the precision and scale:

  Parameters:
    `precision` - the number of decimal digits of precision
    `scale` - the number of implied decimal digits to the right of the decimal point
    `signed` - boolean true if the value is signed
    `signTailing` - true if the sign is stored at the end of the field
    `signExternal` - true if the sign is stored in a separate byte
    `blankWhenZero` - true if the field is all spaces when zero
  Returns:
    Field

### getExternalFloatField

    public ExternalFloatField getExternalFloatField(int precision,
                                                    int scale,
                                                    boolean showMantissaPlusSign,
                                                    boolean showExponentPlusSign,
                                                    boolean impliedDecimalPoint)

  Construct and return a FloatDisplayField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `scale` - the number of implied decimal digits to the right of the decimal point
    `showMantissaPlusSign` - true if a plus sign is to be displayed for positive mantissa values
    `showExponentPlusSign` - true if a plus sign is to be displayed for positive exponent values
    `impliedDecimalPoint` - true if the decimal point is implied.
  Returns:
    ExternalFloatField

### getPackedDecimalField

    public Field getPackedDecimalField(int precision,
                                       int scale,
                                       boolean signed)

  Construct and return a PackedDecimalField, advancing the current offset by its byte length. The actual field returned is based on the precision and scale.

  Parameters:
    `precision` - the number of decimal digits of precision
    `scale` - the number of implied decimal digits to the right of the decimal point
    `signed` - true if the value is signed
  Returns:
    Field
  Throws:
    `java.lang.IllegalArgumentException` - if length implies a precision > 31 digits.

### getPackedDecimalAsBigDecimalField

    public PackedDecimalAsBigDecimalField getPackedDecimalAsBigDecimalField(int precision,
                                                                            int scale,
                                                                            boolean signed)

  Construct and return a PackedDecimalAsBigDecimalField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `scale` - the number of implied decimal digits to the right of the decimal point
    `signed` - boolean true if the value is signed
  Returns:
    PackedDecimalAsBigDecimalField
  See Also:
    `PackedDecimalAsBigDecimalField.PackedDecimalAsBigDecimalField(int, int, int, boolean)`

### getPackedDecimalAsBigIntegerField

    public PackedDecimalAsBigIntegerField getPackedDecimalAsBigIntegerField(int precision,
                                                                            int scale,
                                                                            boolean signed)

  Construct and return a PackedDecimalAsBigIntegerField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `scale` - the number of implied decimal digits to the right of the decimal point
    `signed` - boolean true if the value is signed
  Returns:
    PackedDecimalAsBigIntegerField
  See Also:
    `PackedDecimalAsBigIntegerField.PackedDecimalAsBigIntegerField(int, int, int, boolean)`

### getPackedDecimalAsIntField

    public PackedDecimalAsIntField getPackedDecimalAsIntField(int precision,
                                                              boolean signed)

  Construct and return a PackedDecimalAsIntField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `signed` - boolean true if the value is signed
  Returns:
    PackedDecimalAsIntField
  See Also:
    `PackedDecimalAsIntField.PackedDecimalAsIntField(int, int, boolean)`

### getPackedDecimalAsLongField

    public PackedDecimalAsLongField getPackedDecimalAsLongField(int precision,
                                                                boolean signed)

  Construct and return a PackedDecimalAsLongField, advancing the current offset by its byte length.

  Parameters:
    `precision` - the number of decimal digits of precision
    `signed` - boolean true if the value is signed
  Returns:
    PackedDecimalAsLongField
  See Also:
    `PackedDecimalAsLongField.PackedDecimalAsLongField(int, int, boolean)`

### getIbmFloatField

    public IbmFloatField getIbmFloatField()

  Construct and return an IbmFloatField (hex floating point COMP-1), advancing the current offset by its byte length.

  Returns:
    IbmFloatField

### getIbmDoubleField

    public IbmDoubleField getIbmDoubleField()

  Construct and return an IbmDoubleField (hex floating point COMP-2), advancing the current offset by its byte length.

  Returns:
    IbmDoubleField

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD